Accessibility Features Overview
NOTE
The overall accessibility level of your application depends on the Gallery features you use.
Accessibility Requirement | Support Level |
---|---|
Right-to-Left Support | |
Keyboard Navigation Support | |
Screen Reader Support | |
Contrast Color Theme | |
Mobile Device Support | |
Lighthouse Accessibility Validation | |
Axe Accessibility Validation | |
WAVE Accessibility Validation | |
Section 508 Support | |
WCAG 2.x Support |
- - All component features meet the requirement
- - Some component features may not meet the requirement
- - Accessibility requirement is not supported
Accessibility Standards Compliance
The Gallery component complies to all Section 508 and WCAG 2.x standards criteria.
Keyboard Navigation
A user can use the following keys to interact with the Gallery component:
Key | Action |
---|---|
← / ↑ | Shows the previous image. |
→ / ↓ | Shows the following image. |
Use the registerKeyHandler(key, handler) method to implement a custom handler for a key.
JavaScript
- function registerKeyHandlers () {
- const gallery = $("#galleryContainer").dxGallery("instance");
- gallery.registerKeyHandler("backspace", function(e) {
- // The argument "e" contains information on the event
- });
- gallery.registerKeyHandler("space", function(e) {
- // ...
- });
- }
Feel free to share topic-related thoughts here.
If you have technical questions, please create a support ticket in the DevExpress Support Center.
Thank you for the feedback!
If you have technical questions, please create a support ticket in the DevExpress Support Center.

React Gallery - Accessibility

Accessibility Features Overview

NOTE
The overall accessibility level of your application depends on the Gallery features you use.
Accessibility Requirement Support Level
Right-to-Left Support
Keyboard Navigation Support
Screen Reader Support
Contrast Color Theme
Mobile Device Support
Lighthouse Accessibility Validation
Axe Accessibility Validation
WAVE Accessibility Validation
Section 508 Support
WCAG 2.x Support
  • - All component features meet the requirement
  • - Some component features may not meet the requirement
  • - Accessibility requirement is not supported

Accessibility Standards Compliance

The Gallery component complies to all Section 508 and WCAG 2.x standards criteria.

Keyboard Navigation

A user can use the following keys to interact with the Gallery component:

Key Action
← / ↑ Shows the previous image.
→ / ↓ Shows the following image.

Use the registerKeyHandler(key, handler) method to implement a custom handler for a key.

App.js
  • import React from 'react';
  • import 'devextreme/dist/css/dx.light.css';
  •  
  • import { Gallery } from 'devextreme-react/gallery';
  •  
  • class App extends React.Component {
  • constructor(props) {
  • super(props);
  •  
  • this.galleryRef = React.createRef();
  • }
  •  
  • render() {
  • return (
  • <Gallery ref={this.galleryRef} />
  • );
  • }
  •  
  • get gallery() {
  • return this.galleryRef.current.instance;
  • }
  •  
  • componentDidMount() {
  • this.gallery.registerKeyHandler('backspace', function(e) {
  • // The argument "e" contains information on the event
  • });
  • this.gallery.registerKeyHandler('space', function(e) {
  • // ...
  • });
  • }
  • }
  •  
  • export default App;

Screen Reader Support

The Gallery component supports screen readers and complies to WAI-ARIA standards.

To improve accessibility, specify the imageAlt attribute for each Gallery image.